

include <inc/inc-cub-cyl.scad>
module model(){
    translate([00,-6.75,18])
    import("lamp-top-fix-C+1.stl");}
    
    $fn = 20;
    thk = 3;
    wdt =14;
    ofs = 7.5;
   
module clipx(){
    cub2(00,00,00, 32+thk*2,wdt,thk); // plate
    cub2(17.5,00,thk, thk,wdt,30);
    cub2(-17.5,00,thk, thk,wdt,30);
    
    cyl3(-22,00,30, 90,00,90, 6,5);
    cub2(-16.5,00,24, 5,wdt,thk);
    cub2(17,00,24, 4,wdt,thk);
    
    cyl3(15,7,25.5, 90,00,00, 3,wdt); 
} 

module clipz(){
    difference(){
    hull(){
    cub2(1,00,00, 4,wdt,thk);
    cyl2(32,00,00, 20,thk);

    cyl2(-1,ofs,00, 5,thk);
    cyl2(-1,-ofs,00, 5,thk);}
    cyl2(32,00,-2, 15,thk+4);}
    
    translate([15,00,2.75]) sphere(2);
}

module lmpfix_top(){
clipz();
difference(){
    translate([-20,00,00]) clipx();
    #cyl3(-47,00,30, 90,00,90, 3.1,15);
    #cyl3(-10,00,30, 90,00,90, 4.1,15);
    }}



lmpfix_top();


//model();


